

class LeftBaggege:

    name = ""
    owner = ""
    leftTime = 0
    img = None

    X = None
    Y = None

    def __init__(self, name, img):
        self.name = name
        self.img = img

        self.X = []
        self.Y = []

    def getDeltas(self):
        deltaX = []
        beforeX = 0
        for x in self.X:
            if(len(deltaX) == 0):
                deltaX.append(0)
            else:
                deltaX.append(x - beforeX)
            beforeX = x

        deltaY = []
        beforeY = 0
        for y in self.Y:
            if (len(deltaY) == 0):
                deltaY.append(0)
            else:
                deltaY.append(y - beforeY)
            beforeY = y

        return deltaX, deltaY